{% extends "base.html" %} {% load static %} {% block css %} {% endblock css %} {% block title %}

<h1>Práctica disponibles</h1>

{% endblock title %} {% block content %}

<div class="modal fade" id="detalle" tabindex="-1" role="dialog" aria-labelledby="tab_modal">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div style="background-color: #1c84c6;" class="modal-header">

				<h4 class="modal-title" id="myModalLabel-2">Título Práctica</h4>
				<ul class="card-actions icons right-top">
					<a href="javascript:void(0)" data-dismiss="modal" class="text-white" aria-label="Close">
						<i class="zmdi zmdi-close"></i>
					</a>
				</ul>
			</div>
			<div class="modal-body p-0">
				<div class="tabpanel">
					<ul class="nav nav-tabs p-0">
						<li class="active" role="presentation"><a href="#tab-1" data-toggle="tab" aria-expanded="true">Detalles</a></li>
						<li role="presentation"><a href="#tab-2" data-toggle="tab" aria-expanded="true">Empresa </a></li>
					</ul>
				</div>
				<div class="tab-content  p-20">
					<div class="tab-pane fadeIn active" id="tab-1">
						<h4><strong>Detalles de Práctica</strong></h4>
						<p> aqui va un mensaje sobre el detalle de la practica </p>
					</div>
					<div class="tab-pane fadeIn" id="tab-2">
						<h4><strong>Nombre empresa</strong></h4>
						<figure><img style=" width: 260px;" src="{% static '/img/CUBESOA.png' %}" alt="" class="img-thumbnail pull-left m-r-10 " /></figure>
						<p>aqui va informacion de la empresa que ofrece la práctica </p>
					</div>
				</div>
			</div>
			<div class="modal-footer  border-top">
				<button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cancel</button>
				<button type="button" class="btn btn-info">Ok</button>
			</div>
		</div>
		<!-- modal-content -->
	</div>
	<!-- modal-dialog -->
</div>

<div class="container-fluid row animated fadeIn">
	<div class="row" id="pub">
	{% for x in publications %}
		<div class=" col-sm-4 col-md-4 col-xs-4 anti">
			<div class="card">
				<header style="background-color: #1c84c6 " class="card-heading ">
					<h2 style="color: white" class="card-title">Práctica {{x.tipo}}</h2>
				</header>
				<div class="card-body">
					<div class="row">
						<div style="margin-top: 30px;" class="col-md-4 col-xs-4 col-sm-4 ">
							<img src="{% static '/img/CUBESOA.png' %}" alt="" class="img-circle ">
						</div>
						<div class="col-md-8 col-xs-8 col-sm-8 text-center">
							<h1><strong> {{x.empresa.nombre}} </strong></h1>
							<a href="http://www.cubesoa.com/">http://www.cubesoa.com/</a>
							<h6> aqui va una sinopsis o resumen de las acciones que se necesitan que hagas para esta practica maldito madafaka </h6>
						</div>
					</div>
				</div>
				<div class="card-footer border-top text-center">
					<button class="btn btn-warning  " data-toggle="modal" data-target="#detalle">detalles</button>
					<button class="btn btn-success postular" data-toggle="modal" data-target="#msn_m">postular</button>
				</div>
			</div>
		</div>
		{% endfor %}
	</div>
	<div class="footer border-top">
		<div class="row">
			<div class="col-md-6">
				<button class="btn ant btn-block btn-info " data-toggle="modal" data-target="">Anteriores 10</button>
			</div>
			<div class="col-md-6">
				<button class="btn btn-info btn-block sgt" data-toggle="modal" data-target="">Siguientes 10</button>
			</div>
		</div>

	</div>
</div>



<!-- modal block -->


<!-- end modal block -->


{% endblock content %} {% block javascript %}

<script>
	$(document).ready(function() {
		
		var a = {{publications|length}}
		
		$(".sgt").click(function() {			
			data = {
					csrfmiddlewaretoken: '{{ csrf_token }}',
					indice: a,
					}
			
			$.ajax({
				type: "post",
				url: "{% url 'obt_sgt' %}",
				data: data,
				success: function(response) {
					if (response.a == 0){
						alert("no quedan publications");
					}
					else{
						a = response.a
						$("#pub").html(response.html)
					}
				},
				error: function() {
					console.log("error");
				},
			})
		});

		$('.postular').on('click', function() {
			swal({
					title: "¿Estás seguro?",
					text: " Tú postulación pasará a validación ",
					type: "warning",
					showCancelButton: true,
					confirmButtonColor: "#337ab7",
					confirmButtonText: "Sí, ¡postular!",
					cancelButtonText: "Cancelar"
				}).then((value) => {
					data = {
						csrfmiddlewaretoken: '{{ csrf_token }}',
						projectpk: $(this).attr('valueid'),
					}
					$.ajax({
						type: "post",
						url: "{% url 'create_postulation' %}",
						data: data,
						success: function(response) {
							swal({
								title: "Solicitud enviada ",
								text: "¡Todo bien!",
								type: "success",
								confirmButtonText: "Aceptar",
							}).then((value) => {
								window.location.reload();
							});

						},
						error: function() {
							swal({
								title: "Error al procesar",
								text: "Tu solicitud no pudo ser llevada a cabo. Intentelo nuevamente.",
								type: "warning",
								confirmButtonText: "Comprendido",
							});
						},
					})

				})
		});

	});

</script>


{% endblock javascript %}
